---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libAddToBootstrapClassLoaderSearch.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x51A60, symBinAddr: 0xCEF0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x539A0, symBinAddr: 0xEE30, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x53D90, symBinAddr: 0xF220, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x54D30, symBinAddr: 0x101C0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x54D40, symBinAddr: 0x101D0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: _printdump, symObjAddr: 0x6C440, symBinAddr: 0x278D0, symSize: 0x0 }
  - { offsetInCU: 0x7D3, offset: 0x7D3, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x51590, symBinAddr: 0xCC60, symSize: 0x0 }
  - { offsetInCU: 0x7DE, offset: 0x7DE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x51594, symBinAddr: 0xCC64, symSize: 0x0 }
  - { offsetInCU: 0x7E9, offset: 0x7E9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x51598, symBinAddr: 0xCC68, symSize: 0x0 }
  - { offsetInCU: 0x82E, offset: 0x82E, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x516F0, symBinAddr: 0xCC70, symSize: 0x0 }
  - { offsetInCU: 0x8A7, offset: 0x8A7, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x517A8, symBinAddr: 0xCD28, symSize: 0x0 }
  - { offsetInCU: 0x8C5, offset: 0x8C5, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x517AC, symBinAddr: 0xCD2C, symSize: 0x0 }
  - { offsetInCU: 0x8DE, offset: 0x8DE, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x517B0, symBinAddr: 0xCD30, symSize: 0x0 }
  - { offsetInCU: 0x8F7, offset: 0x8F7, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x517B4, symBinAddr: 0xCD34, symSize: 0x0 }
  - { offsetInCU: 0x910, offset: 0x910, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x517B8, symBinAddr: 0xCD38, symSize: 0x0 }
  - { offsetInCU: 0x8EFF, offset: 0x8EFF, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x517C0, symBinAddr: 0xCD40, symSize: 0x0 }
  - { offsetInCU: 0x8F88, offset: 0x8F88, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x517D8, symBinAddr: 0xCD58, symSize: 0x0 }
  - { offsetInCU: 0x8FA1, offset: 0x8FA1, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x517E0, symBinAddr: 0xCD60, symSize: 0x0 }
  - { offsetInCU: 0x8FBA, offset: 0x8FBA, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x517E8, symBinAddr: 0xCD68, symSize: 0x0 }
  - { offsetInCU: 0x8FD3, offset: 0x8FD3, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x517F0, symBinAddr: 0xCD70, symSize: 0x0 }
  - { offsetInCU: 0x8FED, offset: 0x8FED, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x517F8, symBinAddr: 0xCD78, symSize: 0x0 }
  - { offsetInCU: 0x90D3, offset: 0x90D3, size: 0x8, addend: 0x0, symName: __ZL7segment, symObjAddr: 0xE160, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0x90F9, offset: 0x90F9, size: 0x8, addend: 0x0, symName: __ZL13iGlobalStatus, symObjAddr: 0x5183C, symBinAddr: 0xCD8C, symSize: 0x0 }
  - { offsetInCU: 0x9119, offset: 0x9119, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x51840, symBinAddr: 0xCD90, symSize: 0x0 }
  - { offsetInCU: 0x9132, offset: 0x9132, size: 0x8, addend: 0x0, symName: __ZL16boot_class_count, symObjAddr: 0x51848, symBinAddr: 0xCD98, symSize: 0x0 }
  - { offsetInCU: 0x914B, offset: 0x914B, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x51850, symBinAddr: 0xCDA0, symSize: 0x0 }
  - { offsetInCU: 0x9164, offset: 0x9164, size: 0x8, addend: 0x0, symName: __ZL10jvmti_caps, symObjAddr: 0x51988, symBinAddr: 0xCED8, symSize: 0x0 }
  - { offsetInCU: 0x91B6, offset: 0x91B6, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x42E0, symSize: 0x80 }
  - { offsetInCU: 0x924B, offset: 0x924B, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x4230, symSize: 0xB0 }
  - { offsetInCU: 0x92A6, offset: 0x92A6, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x4130, symSize: 0x100 }
  - { offsetInCU: 0x9539, offset: 0x9539, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x4360, symSize: 0x220 }
  - { offsetInCU: 0x971E, offset: 0x971E, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x4580, symSize: 0xA0 }
  - { offsetInCU: 0x97D1, offset: 0x97D1, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x4620, symSize: 0x110 }
  - { offsetInCU: 0x98C7, offset: 0x98C7, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x4730, symSize: 0x150 }
  - { offsetInCU: 0x99F8, offset: 0x99F8, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x4880, symSize: 0x30 }
  - { offsetInCU: 0x9AB9, offset: 0x9AB9, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x48B0, symSize: 0x150 }
  - { offsetInCU: 0x9CB1, offset: 0x9CB1, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x4A00, symSize: 0x160 }
  - { offsetInCU: 0x9E3D, offset: 0x9E3D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x4B60, symSize: 0x1B0 }
  - { offsetInCU: 0xA058, offset: 0xA058, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x4D10, symSize: 0xA0 }
  - { offsetInCU: 0xA127, offset: 0xA127, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x4DB0, symSize: 0x20 }
  - { offsetInCU: 0xA15E, offset: 0xA15E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x4DD0, symSize: 0x20 }
  - { offsetInCU: 0xA195, offset: 0xA195, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x4DF0, symSize: 0x20 }
  - { offsetInCU: 0xA324, offset: 0xA324, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x4E10, symSize: 0x1A0 }
  - { offsetInCU: 0xA64A, offset: 0xA64A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4FB0, symSize: 0x80 }
  - { offsetInCU: 0xA713, offset: 0xA713, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x5030, symSize: 0x6A0 }
  - { offsetInCU: 0xB2A8, offset: 0xB2A8, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA2B0, symBinAddr: 0x6410, symSize: 0xB0 }
  - { offsetInCU: 0xB31F, offset: 0xB31F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x56D0, symSize: 0x70 }
  - { offsetInCU: 0xB3DB, offset: 0xB3DB, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x5740, symSize: 0xA0 }
  - { offsetInCU: 0xB4E6, offset: 0xB4E6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x57E0, symSize: 0x40 }
  - { offsetInCU: 0xB5DC, offset: 0xB5DC, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5820, symSize: 0x2B0 }
  - { offsetInCU: 0xB982, offset: 0xB982, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5AD0, symSize: 0xC0 }
  - { offsetInCU: 0xBAC8, offset: 0xBAC8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5B90, symSize: 0x10 }
  - { offsetInCU: 0xBB8A, offset: 0xBB8A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5BA0, symSize: 0x220 }
  - { offsetInCU: 0xBE87, offset: 0xBE87, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5DC0, symSize: 0x10 }
  - { offsetInCU: 0xBEE4, offset: 0xBEE4, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5DD0, symSize: 0x300 }
  - { offsetInCU: 0xC2BF, offset: 0xC2BF, size: 0x8, addend: 0x0, symName: _debug_printf, symObjAddr: 0x9F20, symBinAddr: 0x60E0, symSize: 0xC0 }
  - { offsetInCU: 0xC2F3, offset: 0xC2F3, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9F10, symBinAddr: 0x60D0, symSize: 0x10 }
  - { offsetInCU: 0xC350, offset: 0xC350, size: 0x8, addend: 0x0, symName: _vmStart, symObjAddr: 0x9FE0, symBinAddr: 0x61A0, symSize: 0x60 }
  - { offsetInCU: 0xC3D3, offset: 0xC3D3, size: 0x8, addend: 0x0, symName: _vmDeath, symObjAddr: 0xA040, symBinAddr: 0x6200, symSize: 0x60 }
  - { offsetInCU: 0xC456, offset: 0xC456, size: 0x8, addend: 0x0, symName: _vmInit, symObjAddr: 0xA0A0, symBinAddr: 0x6260, symSize: 0x60 }
  - { offsetInCU: 0xC4D9, offset: 0xC4D9, size: 0x8, addend: 0x0, symName: _NativeMethodBind, symObjAddr: 0xA100, symBinAddr: 0x62C0, symSize: 0xB0 }
  - { offsetInCU: 0xC5D5, offset: 0xC5D5, size: 0x8, addend: 0x0, symName: _classFileLoadEvent, symObjAddr: 0xA1B0, symBinAddr: 0x6370, symSize: 0x60 }
  - { offsetInCU: 0xC689, offset: 0xC689, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_functions_AddToBootstrapClassLoaderSearch_JvmtiTest_GetResult, symObjAddr: 0xA270, symBinAddr: 0x63D0, symSize: 0x40 }
  - { offsetInCU: 0xC6C2, offset: 0xC6C2, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA360, symBinAddr: 0x64C0, symSize: 0x36A }
...
